/*
 * ClipboardDoc.java
 *
 * Copyright 2003 Steve Held
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package makedocjr.clipboard;

/**
 * Title:        ClipboardDoc
 * Description:  Converts text on the clipboard to a DOC file
 * Copyright:    Copyright (c) 2003
 * @author Steve Held
 * @version 1.0
 */

import java.awt.*;
import javax.swing.*;

public class ClipboardDoc {

	public ClipboardDoc() {
		ClipboardDocFrame frame = new ClipboardDocFrame();
		frame.pack();
		//Center the window
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		Dimension frameSize = frame.getSize();
		if (frameSize.height > screenSize.height) {
			frameSize.height = screenSize.height;
		}
		if (frameSize.width > screenSize.width) {
			frameSize.width = screenSize.width;
		}
		ImageIcon icon = new ImageIcon(makedocjr.clipboard.ClipboardDoc.class.getResource("pctopda.gif"));
		frame.setIconImage(icon.getImage());
		frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
		frame.setVisible(true);
	}

	public static void main(String[] args) {
		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		}
		catch(Exception e) {
			e.printStackTrace();
		}
		new ClipboardDoc();
	}
}